#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  libqalculate-5.5.1

- Next

  libseccomp-2.6.0

- Up
- Home

# libqmi-1.30.8

## Introduction to libqmi

The libqmi package contains a GLib-based library for talking to WWAN modems and devices which speak the Qualcomm MSM Interface (QMI) protocol.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/libqmi/libqmi-1.30.8.tar.xz

- Download MD5 sum: 5ec8838914f80e1dfa4d2fa8cc2f186d

- Download size: 1.2 MB

- Estimated disk space required: 151 MB (with tests)

- Estimated build time: 0.3 SBU (Using parallelism=4; with tests)

### libqmi Dependencies

#### Required

GLib-2.82.5 (GObject Introspection recommended) and libgudev-238

#### Recommended

libmbim-1.26.4

#### Optional

GTK-Doc-1.34.0, help2man, and libqrtr-glib

## Installation of libqmi

Install libqmi by running the following commands:

    PYTHON=python3 ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

`--disable-mbim-qmux`: This switch disables support for using a MBIM control device for QMI messages. Use this switch if you did not install libmbim.

## Contents

Installed Programs: qmicli, qmi-firmware-update, and qmi-network
Installed Libraries: libqmi-glib.so
Installed Directories: /usr/include/libqmi-glib and /usr/share/gtk-doc/html/libqmi-glib

### Short Descriptions

qmicli | is an utility used to control QMI devices
qmi-firmware-update | is an utility used to perform firmware updates on QMI devices
qmi-network | is an utility used for simple network management of QMI devices
`libqmi-glib.so` | contains API functions for talking to WWAN modems and devices which speak the Qualcomm MSM Interface (QMI) protocol

- Prev

  libqalculate-5.5.1

- Next

  libseccomp-2.6.0

- Up
- Home